%define module Compress-Zlib
%define version 1.16
%define release 1mdk

Packager: Jean-Michel Dault <jmdault@mandrakesoft.com>
Summary: %{module} module for perl
Name: perl-%{module}
Version: %{version}
Release: %{release}
License: GPL or Artistic
Group: Development/Perl
Source0: %{module}-%{version}.tar.bz2
Url: http://www.cpan.org
BuildRequires: perl-devel zlib-devel
BuildRoot: %{_tmppath}/%{name}-buildroot/
Requires: perl >= 5.600

%description
%{module} module for perl

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%files
%defattr(-,root,root)
%doc README
%{_libdir}/perl5/man/man*/*
%{perl_sitearch}/Compress
%{perl_sitearch}/auto/Compress

%changelog
* Thu Jan 03 2002 Franois Pons <fpons@mandrakesoft.com> 1.16-1mdk
- 1.16.

* Thu Nov 08 2001 Franois Pons <fpons@mandrakesoft.com> 1.14-1mdk
- 1.14.

* Tue Oct 16 2001 Stefan van der Eijk <stefan@eijk.nu> 1.13-2mdk
- BuildRequires: perl-devel zlib-devel

* Fri Aug 31 2001 Franois Pons <fpons@mandrakesoft.com> 1.13-1mdk
- 1.13.
- updated license.
- remove filelist, now use globing and macros.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandarkesoft.com> 1.10-2mdk
- Build against the latest perl 5.6.1.
- Rename spec file.

* Tue Feb 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.10-1mdk
- up to 1.10.
- remove Vendor and Distribution tag (jmd sucks!!)

* Sat Sep 16 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.08-2mdk
- Call spec-helper before creating filelist

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.08-1mdk
- Macroize package
